Level Occupancy v1

Mean and peak occupancy for all levels in a tenant within a time range from start (inclusive) to end (exclusive) using a provided resolution.

Resolution can be set to 5m, 10m, 15m, 30m, 1h and determines the size of time intervals between the start and end (i.e., resolution set to 30m between 8:30 AM and 10:30 AM would produce occupancy estimates for intervals 8:30 AM, 9:00 AM, 9:30 AM, and 10:00 AM). Larger resolutions are preferred to reduce the size of the result set and the impact of outliers.

Result sets will include one row per interval per level, and are ordered by the start_timestamp of the interval. Given a resolution of 15m and an interval timestamp of 3:00 PM, the mean_occupancy and 'peak_occupancy' is the average and maximum occupancy from 3:00 PM (inclusive) to 3:15 PM (exclusive).

Currently all results are returned in a single page. The API rejects requests if the time range is too large for the selected resolution. Valid time ranges based on resolution are:

  • 3 months at 5m
  • 6 months at 10m
  • 8 months at 15m
  • 18 months at 30m
  • 2 years at 1h

In addition to the resolution/time range constrants, responses are limited to a maximum of 3 million rows. Response bodies larger than the row limit are truncated, dropping more recent data (based on ordering).

HTTP compression is enabled for responses larger than 500 bytes when the request includes "gzip" in the Accept-Encoding header.

Please note that Lambent Spaces does not produce occupancy in real time. Occupancies for a given time period may be delayed from 30 minutes to an hour, and this may be further increased due to ingestion lag or data availability from Wi-Fi source systems.

The level occupancy endpoint is rate-limited to 60 requests per minute.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Query Params
string
Defaults to -3.5h

The beginning of the queried interval (inclusive). An absolute timestamp in ISO 8601 format, a relative duration from now (e.g., '-3h'), or 'now'.

string
Defaults to -30min

The end of the queried interval (exclusive). An absolute timestamp in ISO 8601 format, a relative duration from now (e.g., '-3h'), or 'now'.

uuid

ID of tenant (customer account) to query. A string in UUID format. If available, the Tenant ID associated with your API credentials is used by default.

string
enum
Defaults to 30m

The size of the time intervals within the provided time range

Allowed:
level_ids
array of strings

List of level IDs to filter for, if none are passed, endpoint queries for all level IDs in tenant. A list of strings in UUID format.

Level IDs
Responses

400

Bad Request

429

Too Many Requests

500

Internal Server Error

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json